
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly globbal function static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                |    0 
 drivers/char/keyboard.c |    3 ++-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/char/keyboard.c~drivers-char-keyboardc-make-a-function-static drivers/char/keyboard.c
--- 25/drivers/char/keyboard.c~drivers-char-keyboardc-make-a-function-static	Mon May  2 16:28:30 2005
+++ 25-akpm/drivers/char/keyboard.c	Mon May  2 16:28:30 2005
@@ -1026,7 +1026,8 @@ static void kbd_rawcode(unsigned char da
 		put_queue(vc, data);
 }
 
-void kbd_keycode(unsigned int keycode, int down, int hw_raw, struct pt_regs *regs)
+static void kbd_keycode(unsigned int keycode, int down,
+			int hw_raw, struct pt_regs *regs)
 {
 	struct vc_data *vc = vc_cons[fg_console].d;
 	unsigned short keysym, *key_map;
diff -L drivers/char/keyboard.c.old -puN /dev/null /dev/null
_
